feature_name: Smime configuration
feature_description: |
    Enabling smime for users and the management of the smime system
properties:
    - key: com.openexchange.smime.caGroupId
      description: |
        Configures the group ID for the user.  This is used to associate imported certificate authorities for the user.
        When certifiates are imported, they are given a group Id.  Assign this groupId to the user if they should have
        certificates accept the newly imported certificate authority.
      version: 2.10.7
      reloadable: false
      configcascadeAware: true
      file: guard-core.properties
      packageName: open-xchange-guard-smime
      tags: ["Smime"]
    - key: com.openexchange.smime.test
      description: |
        ONLY USED FOR TESTING.  Enables the e2e testing api to create SMIME keys for a user.  This also enables the 
        testing certificate authority, which will trust this test key
      version: 2.10.7
      reloadable: false
      configcascadeAware: false
      file: guard-core.properties
      packageName: open-xchange-guard-smime
      tags: ["Smime"]
    - key: com.openexchange.smime.caDatabase
      description: |
        Activates the smime certificate authority database storage.  Defaults to true.
      version: 2.10.7
      reloadable: false
      configcascadeAware: false
      file: guard-core.properties
      packageName: open-xchange-guard-smime-storage-impl
      tags: ["Smime"]
    - key: com.openexchange.smime.databaseStorage
      description: |
        Activates the smime database storage.  Defaults to true.
      version: 2.10.7
      reloadable: false
      configcascadeAware: false
      file: guard-core.properties
      packageName: open-xchange-guard-smime-storage-impl
      tags: ["Smime"]
    - key: com.openexchange.smime.checkCRL
      description: |
        Check X509 Certificates against CRL revoke lists.  Will add sometimes significant delay to verifications
      version: 2.10.7
      reloadable: false
      configcascadeAware: true
      file: guard-core.properties
      packageName: open-xchange-guard-smime
      tags: ["Smime"]
      
      